Debian Bug report logs - #696305
ITP: libmath-prime-util-perl -- Utilities related to prime numbers, including fast sieves and factoring

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Date: Wed, 19 Dec 2012 06:42:02 UTC

Owned by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Severity: wishlist

Fixed in version libmath-prime-util-perl/0.17-1

Done: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dkg@fifthhorseman.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696305; Package wnpp. (Wed, 19 Dec 2012 06:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to dkg@fifthhorseman.net, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 19 Dec 2012 06:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmath-prime-util-perl -- Utilities related to prime numbers, including fast sieves and factoring
Date: Wed, 19 Dec 2012 01:39:13 -0500
Package: wnpp
Severity: wishlist
Owner: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

* Package name    : libmath-prime-util-perl
  Version         : 0.16
  Upstream Author : Dana A Jacobsen <dana@acm.org>
* URL             : http://search.cpan.org/dist/Math-Prime-Util/
* License         : GPL | Artistic
  Programming Lang: C, Perl
  Description     : Utilities related to prime numbers, including fast sieves and factoring
 A set of utilities related to prime numbers. These include multiple sieving
 methods, is_prime, prime_count, nth_prime, approximations and bounds for the
 prime_count and nth prime, next_prime and prev_prime, factoring utilities,
 and more.
 .
 The default sieving and factoring are intended to be (and currently are) the
 fastest on CPAN, including Math::Prime::XS, Math::Prime::FastSieve,
 Math::Factor::XS, Math::Prime::TiedArray, Math::Big::Factors,
 Math::Factoring, and Math::Primality (when the GMP module is available). For
 numbers in the 10-20 digit range, it is often orders of magnitude faster.
 Typically it is faster than Math::Pari for 64-bit operations.
 .
 All operations support both Perl UV's (32-bit or 64-bit) and bignums. It
 requires no external software for big number support, as there are Perl
 implementations included that solely use Math::BigInt and Math::BigFloat.
 However, performance will be improved for most big number functions by
 installing Math::Prime::Util::GMP, and is definitely recommended if you do
 many bignum operations. Also look into Math::Pari as an alternative.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
You have taken responsibility. (Thu, 10 Jan 2013 12:03:03 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Thu, 10 Jan 2013 12:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 696305-close@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 696305-close@bugs.debian.org
Subject: Bug#696305: fixed in libmath-prime-util-perl 0.17-1
Date: Thu, 10 Jan 2013 12:00:05 +0000
Source: libmath-prime-util-perl
Source-Version: 0.17-1

We believe that the bug you reported is fixed in the latest version of
libmath-prime-util-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Kahn Gillmor <dkg@fifthhorseman.net> (supplier of updated libmath-prime-util-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 20 Dec 2012 20:19:05 -0500
Source: libmath-prime-util-perl
Binary: libmath-prime-util-perl
Architecture: source amd64
Version: 0.17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Description: 
 libmath-prime-util-perl - Utilities related to prime numbers, including fast sieves and fac
Closes: 696305
Changes: 
 libmath-prime-util-perl (0.17-1) unstable; urgency=low
 .
   * Initial Release into Debian. (Closes: #696305)
Checksums-Sha1: 
 7025e48dc4abca3f54357df97a24c461bbb4906d 2262 libmath-prime-util-perl_0.17-1.dsc
 fc42220a0b2dc66a0a8bf2eb411750db60997f75 186590 libmath-prime-util-perl_0.17.orig.tar.gz
 c26652d02d5bd838f6b68ee9fa4cb2cfdebec406 2226 libmath-prime-util-perl_0.17-1.debian.tar.gz
 e3a35bf9dc94486e8a75132ac7b8a582573932e8 204742 libmath-prime-util-perl_0.17-1_amd64.deb
Checksums-Sha256: 
 28a4eee5e30e5b1ac44677eb7e95ca0db66b8d8e370a4db9fd988da29e12e504 2262 libmath-prime-util-perl_0.17-1.dsc
 723f63d5f691532f2025d21731367dcacdf158375b358e45ebfaa132bd617c00 186590 libmath-prime-util-perl_0.17.orig.tar.gz
 14eedeaf3544bc22b4e8f5837765501a2bf37a1ca0bd4e6f749492016e01bb7c 2226 libmath-prime-util-perl_0.17-1.debian.tar.gz
 c63b64193e7a546c7a9c9fb3ea8894764454a4d4b48c67c96b969071362492c0 204742 libmath-prime-util-perl_0.17-1_amd64.deb
Files: 
 9645c77ea4ce54b2f4443001191661c5 2262 perl optional libmath-prime-util-perl_0.17-1.dsc
 fd52e08df79abcd33b0d5ed29f9dad71 186590 perl optional libmath-prime-util-perl_0.17.orig.tar.gz
 8ab4c25d75e9127f0e2367579cbd56f3 2226 perl optional libmath-prime-util-perl_0.17-1.debian.tar.gz
 83bfe0bbbecf883d34e4c72af9001473 204742 perl optional libmath-prime-util-perl_0.17-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQJ8BAEBCgBmBQJQ08EdXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQwRUU1QkU5NzkyODJEODBCOUY3NTQwRjFD
Q0QyRUQ5NEQyMTczOUU5AAoJEMzS7ZTSFznphxwQAIJqfZkg01umqDOGQ4TtzpPJ
UL0vhnhbHCtlA0mFZLZ2hZzCh9tYQPUg2ICFygCgG7zsOkdNmoXOnGteEiCVBS11
7pfT5ZsmqjFoFUjXjIkMusxutNkmCqP0SJzlWELBtMj/gk6/9PhqcVSQyns2zXfL
yWupBfvKvOo0r1Y8MLXml/apr4GxHqd8tn4Ld3KSTyC+sRvnLx1Iw9OEFdGOQkmD
5NbeXXTt55xrq/p9rSdJSgpKeKTIxhcqh73XBUqbx5eigpR8s7x1Q7C4qTTnKEae
90+yjhZzwDLCfEilSYOw7XUrU2/lG5eIXiGU1D95ng3vcok3L2GnHUXiy2xcHJ1T
zgrV4dSaeG6B4xKrUNhVFYaja48MMiwhhhVaqr7ITLgcW2Cy56kRUNBeWigEvCHE
TXr3wK0bnQ3FxldU6/VMpvKqJGjhTWtFb643vDLJ6OJlinkRY1hENPKjN/ezh/Ed
XMJpab/hRheslHXtrodbJ+sCj+H4q4Cz9BvvSmp925oq2ct494sDsjnmcSdqufgn
eCcaQYpw+lsATnh47gWYG197S/eZnzwt855yJ+LNBgia+GUQskz2gAcrh7PKRISB
hLKIvuORV1cmMINGtIQ649EnQxPA8h6lXi1qZLYG3stizJbwj3JALmMGlKuobYJ1
OMEZp4qSR+LBVqeOWUzp
=nLUN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Feb 2013 07:25:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:33:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.